package com.brframework.commoncms.core.layout;

import java.lang.reflect.Method;
import java.util.List;

/**
 * 数据模块
 * @author xu
 * @date 2018/9/26 11:04
 */
public interface PanelLayout {

    /**
     * 类型
     * @return
     */
    String getType();

    /**
     * 数据列
     */
    List<PanelLayoutColumn> getColumns();

    /**
     * 标题
     * @return
     */
    String getTitle();

    /**
     * 创建
     */
    void create(Method method) throws Throwable;

}
